SELECT * FROM MOVIES

INSERT INTO MOVIES(TITLE, RUNTIME, GENRE, IMDB_SCORE, RATING)
VALUES('Howard the Duck	', '110', 'Sci-Fi', '4.6', 'PG')
VALUES('Lavalantula', '83', 'Horror', '4.7', 'TV-14')
VALUES ('Starship Troopers', '129', 'Sci-Fi',	'7.2', 'PG-13')
VALUES ('Waltz With Bashir', '90', 'Documentary', '8.0', 'R')
VALUES ('Spaceballs', '96', 'Comedy', '7.1', 'PG')
VALUES ('Monsters Inc.', '92', 'Animation', '8.1', 'G')
VALUES('The Fellowship of the Ring', '228', 'Fantasy', '8.8', 'PG-13')
VALUES('Logan', '141', 'Sci-Fi', '8.1', 'R')


SELECT TITLE FROM MOVIES
WHERE GENRE = 'Sci-Fi'

SELECT TITLE FROM MOVIES
WHERE IMDB_SCORE >= 6.5;

SELECT TITLE FROM MOVIES
WHERE RUNTIME < 100 AND (RATING = 'G' OR RATING = 'PG')

SELECT AVG (RUNTIME)
FROM MOVIES
WHERE IMDB_SCORE < 7.5
GROUP BY genre;

UPDATE MOVIES
SET RATING = 'R'
WHERE TITLE = 'Starship Troopers'

SELECT ID, TITLE, RATING FROM MOVIES
WHERE GENRE = 'Horror' OR GENRE = 'Documentary'

SELECT RATING, AVG (IMDB_SCORE), MAX (IMDB_SCORE), MIN (IMDB_SCORE)
FROM MOVIES
GROUP BY RATING;

SELECT RATING, AVG (IMDB_SCORE), MAX (IMDB_SCORE), MIN (IMDB_SCORE)
FROM MOVIES
GROUP BY RATING
HAVING COUNT(*) > 1;

DELETE FROM MOVIES
WHERE RATING = 'R';